$button_exit_background: #004bc8;
$button_exit_color: #fff;
$button_registration_background: #10cf96;
$button_registration_color: #fff;
$footer_link_color: #004bc8;
$entry_logo: "~@/static/img/logo_oboz.svg";
$nav_header_logo: "~@/assets/images/Home/logo.png";

.oboz {
  &-top-menu {
    background: #01245e !important;
    box-shadow: none !important;

    & > img {
      content: url("~@/static/img/logo_oboz.svg");
    }
  }

  &-middle-menu {
    background: #013285 !important;
  }

  &-user-name,
  &-user-role,
  &-user-company {
    color: #fff !important;
  }
}

.profile {
  &-dropdown-menu,
  &-dropdown-menu:hover,
  &-dropdown-menu-top-container,
  &-dropdown-menu-company-container {
    background: #01245e !important;
  }

  &-dropdown-menu-top-company,
  &-dropdown-menu-top-username {
    color: #fff !important;
  }
}

.ob {
  &-main-template-header {
    background: #013388 !important;
  }

  &-button-container {
    color: #fff !important;
    background: #004bc8 !important;

    :hover {
      opacity: 0.8 !important;
    }

    span {
      color: #fff !important;
    }
  }
}

.menu-dropdown {
  &__list,
  &__item {
    background: #013285 !important;
  }
}

.menu-button {
  color: #fff !important;
}

.loader {
  border-top-color: #01245e !important;

  &::after,
  &::before {
    border-top-color: #013388 !important;
  }
}

.links {
  margin-top: 8px !important;
}

.nav {
  & img {
    width: 140px !important;
    margin-top: -8px !important;
  }
}

.panel_header {
  color: #336fd3 !important;
}

.primary-type {
  color: #fff !important;
}

.nav-item {
  color: #fff !important;
  background: #004bc8 !important;
}

#profile-menu {
  & > .--active {
    background: #01245e !important;
  }

  #tasks img {
    width: 26px;
  }
}

.button {
  width: 204px;
  margin-right: 20px;

  &-exit {
    color: $button_exit_color !important;
    background: $button_exit_background !important;

    &:hover {
      opacity: 0.8;
      box-shadow: 0px 4px 16px rgba(0, 125, 185, 0.3);
    }
  }

  &-registration {
    color: $button_registration_color !important;
    background: $button_registration_background !important;

    &:hover {
      opacity: 0.8;
      box-shadow: 0px 4px 16px rgba(0, 204, 166, 0.3);
    }
  }
}

.user-setting-limit {
  &__base {
    margin: 14px 0 10px;
    max-width: 593px;
  }

  &__description {
    display: flex;
    align-items: center;

    &-value {
      margin-right: 20px;
    }

    &-icon {
      i {
        margin-right: 10px;
        color: $button_exit_background;
        font-size: 24px;
      }
    }
  }
}

.footer {
  &__link {
    color: $footer_link_color;
    text-decoration: none;
  }
}

.svg-wrap img {
  width: 188px;
  height: 58px;
  overflow: hidden;
  background-image: url($entry_logo);
  background-size: cover;
}

header {
  .nav {
    a,
    span {
      img {
        width: 150px;
        height: 46px;
        background-image: url($nav_header_logo);
        background-size: cover;
      }
    }
  }
}
